\ProvidesClass{iticslides}
\NeedsTeXFormat{LaTeX2e}

% Carrega classe base
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{beamer}}
\ProcessOptions\relax
\LoadClass[professionalfonts]{beamer}

% Carrega paquets
%\RequirePackage[utf8]{inputenc}
\RequirePackage[sfdefault,scaled=.85,type1]{FiraSans}
\RequirePackage{newtxsf}
\RequirePackage[T1]{fontenc}
%\RequirePackage{arev}
\RequirePackage[english,catalan]{babel}
\RequirePackage{bolaupc}
\RequirePackage{pgfpages}

\beamertemplatenavigationsymbolsempty
\usecolortheme{upc}
\usetheme[height=8mm]{Rochester}
\AtBeginLecture{\frame{
    \begin{center}
      \LARGE
      \usebeamercolor[bg]{frametitle}
      \insertlecture
    \end{center}}
}

\renewcommand{\emph}[1]{\alert{#1}}

\newenvironment{exemple}%
{\begin{trivlist}\item[]\footnotesize}
{\end{trivlist}}

\mode<handout>{
  \pgfpagesuselayout{4 on 1}[a4paper,landscape,border shrink=5mm]
  \pgfpageslogicalpageoptions{1}{border code=\pgfusepath{stroke}}
  \pgfpageslogicalpageoptions{2}{border code=\pgfusepath{stroke}}
  \pgfpageslogicalpageoptions{3}{border code=\pgfusepath{stroke}}
  \pgfpageslogicalpageoptions{4}{border code=\pgfusepath{stroke}}
}

%% Per transparències amb layout columna
\newcommand{\halfcolumn}{\column[t]{0.48\textwidth}}
\newcommand{\onethirdcolumn}{\column[t]{0.33\textwidth}}
\newcommand{\twothirdcolumn}{\column[t]{0.66\textwidth}}

%% Dades comunes de la capçalera
\institute[Sistemes TIC -- UPC]{
  Enginyeria de Sistemes TIC\\
  Universitat Politècnica de Catalunya\\
  \url{http://epsem.upc.edu}
}
\logo{\logosistic[0.5cm]}
