\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{xuletari}[2022/5/22 Xuletaris per l'enginyeria iTIC]

\LoadClass[9pt]{scrartcl}

\RequirePackage{multicol}
\RequirePackage{calc}
\RequirePackage[a4paper,landscape]{geometry}
\RequirePackage{url}
\RequirePackage{bolaupc}
\RequirePackage{tabularx}
\RequirePackage[T1]{fontenc}
\RequirePackage{lmodern}

\geometry{top=1cm,left=1cm,right=1cm,bottom=1cm}


% Turn off header and footer
\pagestyle{empty}


% Redefine section commands to use less space
\renewcommand{\section}{\@startsection{section}{1}{0mm}%
                                {-1ex plus -.5ex minus -.2ex}%
                                {0.5ex plus .2ex}%x
                                {\normalfont\large\bfseries}}
\renewcommand{\subsection}{\@startsection{subsection}{2}{0mm}%
                                {-1explus -.5ex minus -.2ex}%
                                {0.5ex plus .2ex}%
                                {\normalfont\normalsize\bfseries}}
\renewcommand{\subsubsection}{\@startsection{subsubsection}{3}{0mm}%
                                {-1ex plus -.5ex minus -.2ex}%
                                {1ex plus .2ex}%
                                {\normalfont\small\bfseries}}


% Don't print section numbers
\setcounter{secnumdepth}{0}
\setlength{\parindent}{0pt}
\setlength{\parskip}{0pt plus 0.5ex}

% Specific environments
\newenvironment{deftab}{
  \begin{tabular}{@{}ll@{}}
}{
  \end{tabular}
}


% Setup document
\AtBeginDocument{
  \raggedright
  \footnotesize
  \begin{multicols}{3}
    % multicol parameters
    % These lengths are set only within the two main columns
    % \setlength{\columnseprule}{0.25pt}
    \setlength{\premulticols}{1pt}
    \setlength{\postmulticols}{1pt}
    \setlength{\multicolsep}{1pt}
    \setlength{\columnsep}{2pt}
    % make logoitic
    \raisebox{0pt}[0pt][0pt]{\raisebox{0.4cm}{\kern-0.6cm\logosistic[5ex]}}
    % make title
    \begin{center}
      \def\\{\par}
      \bfseries\Large
      \@title
    \end{center}
}

\AtEndDocument{
  \bigskip
  \rule{0.6\linewidth}{1pt}\par
  Aquest xuletari l'ha fet:\par
  \begin{flushleft}
    \def\and{\\}
    \@author
  \end{flushleft}
  \newpage
  \end{multicols}
}


\relax
